Subject: Re: Howto Cross Compile GCC to run on PPC Platform

From: Bryan O'Donoghue <[email-masked]>
Date: Fri, 28 Oct 2005 21:48:42 +0100

Peter Hanson wrote:
> On 10/28/05, Steven Blakeslee <[email-masked]> wrote:
> 
>>>get it to cross compile gcc (to run on ppc).  Does anyone
>>>know of a good HowTo to do this?
>>
>>Karim Yaghmour's "Building Embedded Linux Systems"
>>
>>
>>
>>> I'm currently downloading the source distro of ELDK, so if
>>>it's already in there I'll find it, but if there is one
>>>elsewhere online please let me know.
>>
>>Very good, full of features.
> 
> 
> My favorite cross tool chain site:
> 
> Building and Testing gcc/glibc cross toolchains
> http://kegel.com/crosstool/
> 
> Look into Canadian crosses.  At the very least you should find the
> discussion helpful.

I'd use the ELDK if I were you as an x86 hosted cross compiler, if only 
because it makes sense in terms of compiling bootloader & kernel with 
the same toolchain. Also, if memory serves the ELDK comes with a powerpc 
gcc in the supplied ppc root file system.

Alternatively : you can use the uClibc toolchain, to generate a similar 
setup.

Here's a script I've thrown together since I sometimes need to generate 
gcc toolchains easily for various targets. I've tested it with arm and 
powerpc and because, it might be useful to switch between c libraries. ymmv.
http://netsoc.dit.ie/~deckard/software/build_compiler.sh. This script is 
based on some excellent documents that Red Hat produced.

http://sources.redhat.com/ml/crossgcc/2005-08/msg00114/l-cross-ltr.pdf

-- 
"Caveat Emptor" -- James T. Kirk, in no such episode